PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PSOAPClient Class Reference

SOAP client classes. More...

`#include <psoap.h>`

Inheritance diagram for PSOAPClient:
[legend]
Collaboration diagram for PSOAPClient:
[legend]

## Public Member Functions
| PSOAPClient (const PURL &url)
void | SetTimeout (const PTimeInterval &_timeout)
PBoolean | MakeRequest (const PString &method, const PString &nameSpace)
PBoolean | MakeRequest (const PString &method, const PString &nameSpace, PSOAPMessage &response)
PBoolean | MakeRequest (PSOAPMessage &request, PSOAPMessage &response)
PString | GetFaultText () const
PINDEX | GetFaultCode () const
void | setSOAPAction (PString saction)
| Set a specific SOAPAction field in the HTTTP header, default = " ". More...
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions
PBoolean | PerformRequest (PSOAPMessage &request, PSOAPMessage &response)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes
PURL | url
PINDEX | faultCode
PString | faultText
PTimeInterval | timeout
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Friends inherited from PObject

## Detailed Description

SOAP client classes.

## Constructor & Destructor Documentation

PSOAPClient::PSOAPClient | ( | const PURL & | url | ) |

## Member Function Documentation

PINDEX PSOAPClient::GetFaultCode | ( |  | ) | const
| inline

References faultCode.

PString PSOAPClient::GetFaultText | ( |  | ) | const
| inline

References faultText.

PBoolean PSOAPClient::MakeRequest | ( | const PString & | method,
|  | const PString & | nameSpace
| ) |  |

PBoolean PSOAPClient::MakeRequest | ( | const PString & | method,
|  | const PString & | nameSpace,
|  | PSOAPMessage & | response
| ) |  |

PBoolean PSOAPClient::MakeRequest | ( | PSOAPMessage & | request,
|  | PSOAPMessage & | response
| ) |  |

PBoolean PSOAPClient::PerformRequest | ( | PSOAPMessage & | request,
|  | PSOAPMessage & | response
| ) |  |
| protected

void PSOAPClient::setSOAPAction | ( | PString | saction | ) |
| inline

Set a specific SOAPAction field in the HTTTP header, default = " ".

void PSOAPClient::SetTimeout | ( | const PTimeInterval & | _timeout | ) |
| inline

References timeout.

## Member Data Documentation

PINDEX PSOAPClient::faultCode
| protected

Referenced by GetFaultCode().

PString PSOAPClient::faultText
| protected

Referenced by GetFaultText().

PTimeInterval PSOAPClient::timeout
| protected

Referenced by SetTimeout().

PURL PSOAPClient::url
| protected

The documentation for this class was generated from the following file:

- psoap.h